#ifndef BLACK_HOLE_BATTERY_HPP_
#define BLACK_HOLE_BATTERY_HPP_

#include <Item/StatelessItem/BasicItem/BasicItem.hpp>
#include <Item/IEnergyContainingItem.hpp>

/**
 * @brief The black hole battery which accepts all energy and returns none.
 */
class BlackHoleBattery : public BasicItem, public IEnergyContainingItem
{
public:
    BlackHoleBattery(std::string name);

    virtual int pullEnergy(ItemStack &stack, int energy) override;
    virtual int pushEnergy(ItemStack &stack, int energy) override;
};

#endif